Bug 1281943 - (CVE-2015-7500) CVE-2015-7500 libxml2: Heap buffer overflow in xmlParseMisc
CVE-2015-7500 libxml2: Heap buffer overflow in xmlParseMisc
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151201,repor...
: Security
Depends On: 1284794 1286495 1286496 1286497 1323036
Blocks: 1274223 1281961 1318206
  Show dependency treegraph
 
Reported: 2015-11-13 16:18 EST by Adam Mariš
Modified: 2017-03-08 02:37 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (547 bytes, patch)
2015-11-13 16:19 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-11-13 16:18:41 EST
A heap-based buffer overflow read in xmlParseMisc was found.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=756525
Comment 1 Adam Mariš 2015-11-13 16:19 EST
Created attachment 1093866 [details]
Upstream patch
Comment 3 Adam Mariš 2015-11-16 09:04:41 EST
Acknowledgments:

Name: the GNOME project
Upstream: Kostya Serebryany
Comment 7 Huzaifa S. Sidhpurwala 2015-12-01 04:58:20 EST
Upstream commit:

https://git.gnome.org/browse/libxml2/commit/?id=f1063fdbe7fa66332bbb76874101c2a7b51b519f
Comment 8 errata-xmlrpc 2015-12-07 05:15:03 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html
Comment 9 errata-xmlrpc 2015-12-07 07:01:10 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html
Comment 13 errata-xmlrpc 2016-05-17 12:14:55 EDT
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html

Note You need to log in before you can comment on or make changes to this bug.